> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling-o3

> Kling O3 API 根据提示词生成图像，或编辑 1 到 10 张参考图。分辨率为 1K、2K 或 4K，可选的元素可锁定角色或物体。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

## 模型

* **kling-o3-image** - 仅凭提示词生成图像
* **kling-o3-image-edit** - 基于参考图的图像编辑

## 必填参数

* `prompt` - 必填的生成或编辑提示词

## 可选参数

* `image_urls` - 可选的参考图 URL，`1-10` 张，用于图像编辑模式
* `elements` - 可选的元素描述数组，用于控制角色/物体。在提示词中以 `@Element1`、`@Element2` 等方式引用。推荐结构：`frontal_image_url` 填主要的人脸/物体图像，可选的 `reference_image_urls` 填其他参考视角
* `resolution` - `1K`、`2K`、`4K`
* `size` - `kling-o3-image`：`16:9`、`9:16`、`1:1`、`4:3`、`3:4`、`3:2`、`2:3`、`21:9`；`kling-o3-image-edit`：`auto`、`16:9`、`9:16`、`1:1`、`4:3`、`3:4`、`3:2`、`2:3`、`21:9`
* `output_format` - `jpeg`、`png`、`webp`
* `n` - 输出图像数量，`1-9`

## 示例

使用统一提交接口：`POST /api/generate/submit`

仅提示词示例：

```bash theme={"dark"}
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "kling-o3-image",
    "callback_url": "https://your-domain.com/callback",
    "input": {
      "prompt": "A cinematic futuristic alley with rain and neon reflections",
      "resolution": "4K",
      "size": "16:9",
      "output_format": "png",
      "n": 2
    }
  }'
```

图像编辑示例：

```bash theme={"dark"}
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "kling-o3-image-edit",
    "callback_url": "https://your-domain.com/callback",
    "input": {
      "prompt": "Turn the reference scene into a luxury night interior with dramatic window light",
      "image_urls": ["https://example.com/reference1.png"],
      "resolution": "4K",
      "size": "auto",
      "output_format": "png",
      "n": 1
    }
  }'
```

## 注意事项

### Elements 说明

* `elements` 用于上游的人脸/物体控制
* 推荐的元素字段：
  * `frontal_image_url`：主要角色/物体视角的公开图像 URL
  * `reference_image_urls`：可选的其他公开图像 URL 数组
* `elements` 为可选项，仅在需要更强的主体一致性时使用


## OpenAPI

````yaml zh/api-manual/image-series/kling-o3.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Kling-O3-Image API
  description: Kling O3 API 根据提示词生成图像，或基于 1 到 10 张参考图进行编辑。分辨率为 1K、2K 或 4K，可选元素用于锁定角色或物体。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Kling-O3-Image
      summary: 提交 Kling-O3-Image 生成任务
      description: 高表现力图像生成模型，针对强语义理解和场景构图优化，适合创意和叙事类视觉内容
      operationId: submitKlingO3ImageTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              kling-o3-image:
                summary: Kling-O3-Image 纯提示词生成
                value:
                  model: kling-o3-image
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A cinematic futuristic alley with rain and neon
                      reflections
                    resolution: 4K
                    size: '16:9'
                    output_format: png
                    'n': 2
              kling-o3-image-edit:
                summary: Kling-O3-Image-Edit 图像编辑
                value:
                  model: kling-o3-image-edit
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      Turn the reference scene into a luxury night interior with
                      dramatic window light
                    image_urls:
                      - https://example.com/reference1.png
                    resolution: 4K
                    size: auto
                    output_format: png
                    'n': 1
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 400
                error:
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 401
                error:
                  message: Unauthorized - Invalid API key
                  type: authentication_error
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: 模型标识符。
          enum:
            - kling-o3-image
            - kling-o3-image-edit
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          description: 图像生成或编辑的输入参数
          properties:
            prompt:
              type: string
              description: 描述期望输出的生成提示词
              maxLength: 2000
              example: A cinematic futuristic alley with rain and neon reflections
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 10
              description: 参考图 URL。`model` 为 `kling-o3-image-edit` 时必填。
              example:
                - https://example.com/reference1.png
            elements:
              type: array
              description: >-
                可选的元素描述数组，用于控制角色/物体。在提示词中以 @Element1、@Element2 等方式引用。推荐字段为
                `frontal_image_url` 和可选的 `reference_image_urls`。
              items:
                type: object
                properties:
                  frontal_image_url:
                    type: string
                    format: uri
                    description: 主要面部/物体参考的公开图像 URL。
                  reference_image_urls:
                    type: array
                    description: 同一元素的其他可选公开图像 URL。
                    items:
                      type: string
                      format: uri
                additionalProperties: true
              example:
                - frontal_image_url: https://example.com/lead-model-front.png
                  reference_image_urls:
                    - https://example.com/lead-model-side.png
            resolution:
              type: string
              description: 输出分辨率预设
              enum:
                - 1K
                - 2K
                - 4K
              default: 1K
              example: 4K
            size:
              type: string
              description: >-
                输出宽高比预设。仅当 `model` 为 `kling-o3-image-edit` 时支持
                `auto`；`kling-o3-image` 仅支持固定宽高比。
              enum:
                - auto
                - '16:9'
                - '9:16'
                - '1:1'
                - '4:3'
                - '3:4'
                - '3:2'
                - '2:3'
                - '21:9'
              default: '16:9'
              example: '16:9'
            output_format:
              type: string
              description: 输出图像格式。
              enum:
                - jpeg
                - png
                - webp
              default: png
              example: png
            'n':
              type: integer
              description: 生成图像数量（1-9）。
              minimum: 1
              maximum: 9
              default: 1
              example: 2
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.